Bug 131537 - Add cpufreq-applet to the distribution
Add cpufreq-applet to the distribution
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-01 21:17 EDT by Bastien Nocera
Modified: 2014-03-16 22:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-12 23:51:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2004-09-01 21:17:01 EDT
If the machine has cpufreq support (a laptop for example) should have
this applet automatically added to the panel (like the battery applet).

Upstream packages at:
http://linups.org/~kal/gnome-cpufreq-applet/

Example packages at:
http://files.hadess.net/redhat/perso/source/gnome-cpufreq-applet-0.2.1-1.src.rpm
Comment 1 Bill Nottingham 2004-09-01 22:00:47 EDT
Cc'ing them there UI folkses.
Comment 2 Bryan W Clark 2004-09-02 14:35:45 EDT
A couple questions:
   Does this applet allow you to switch frequencies or does it just
display them?
   Does the applet provide any functionality while not in power
management mode? (switch to low frequency while not on battery power)
   Is there a use case for switching from full cpu to throttled while
you're not on battery?

Unless I'm really mistaken on this stuff it seems like this kind of
functionality would best be integrated into the battery applet instead
of being an applet of it's own.  I don't know enough about this applet
itself to make a real call here, but my gut say that this is mostly
extra power management utilities and those should be a part of the
battery applet.  Does this sound reasonable?
Comment 3 Barry K. Nathan 2004-09-02 17:49:50 EDT
> Is there a use case for switching from full cpu to throttled while 
> you're not on battery?

Yes. It makes the system run cooler so it's more comfortable on your
lap. (With some laptops, it may even be *unsafe* to put it on your lap
if it's not throttled.)

Also note that there are desktops, without batteries, which support
throttling. So I'm not sure the battery applet is the right place to
put CPU throttling. (Furthermore, on Windows, CPU throttling gets its
own applet, so that's what people coming from that OS will be used to.)
Comment 4 Bastien Nocera 2004-09-02 18:05:11 EDT
But that use case has nothing to do with the cpufreq applet.

The only thing the applet does is display the current CPU speed. The
speed throttling, etc. is included in cpuspeed (kernel-utils).
I think that the cpuspeed applet is good as it is, it's
self-contained, low-maintenance.

Ultimately, there shouldn't be a need for a cpufreq applet (MacOS X,
which does CPU speed throttling, doesn't show the CPU speed outside
the about box).
Realistically, the functionality that should be present (and isn't
there yet) would be:
- Decent policy capplet (Screen dimming, DPMS, CPU speed, hard drive
spinning, and parking, etc.)
- A way of detecting over-consumption of CPU (ie. this application
made the CPU go faster, and a way to whitelist apps). The desktop
would warn that X is using all the CPU, and might be erratic. You
would whitelist gcc or a CPU intensive application that requires
user-input.

The reality of those happening in the short future are low, and the
cpufreq applet would be a way to paliate a short-term need.
Comment 5 Barry K. Nathan 2004-09-03 01:59:00 EDT
Ah, ok, I misunderstood; sorry about that.
Comment 6 Bryan W Clark 2005-02-12 23:51:58 EST
I guess this thing is in GNOME now.

Note You need to log in before you can comment on or make changes to this bug.